﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var args= it.args,data = it.data ? it.data : it;%>
<%var lang = args["language_type"];  %>
<div class="mainBody" id="mainBody">
        <div class="system-summary">
            <div class="system-meter-left">
             <div class="system-meter" id="rectifierMeter"></div>
             <div class="system-meter-value <%=Validates.CheckValue(data.group.chart.curr,data.group.chart.used_cap,true,true) %>">
             <span>/*[ID_CURRENT1]*/: </span><span><strong class="<%=Validates.CheckValue(data.group.chart.curr,true)%>"><%=Validates.CheckValueReturn(data.group.chart.curr,"A")%></strong>&nbsp;/&nbsp;<strong class="<%=Validates.CheckValue(data.group.chart.used_cap,true)%>"><%=Validates.CheckValueReturn(data.group.chart.used_cap,"%")%></strong></span>
             </div>
            </div>
            <div class="system-meterInfo">
            <table cellpadding="0" cellspacing="0" height="100%" class="table-a" style="width:390px">
                <tbody>
                    <tr>
                        <th style="width:70%">/*[ID_SIGNAL]*/</th>
                        <th>/*[ID_VALUE]*/</th>
                    </tr>
					<%	
					var SignalNum = 0;
                    var SignalList = data.group.list;
					for(var s=0,slen=SignalList.length; s<slen; s++){
                        if(Validates.CheckValue(SignalList[s][1])!="v_hidden"){
                        SignalNum++;
                    %>
                            <tr class="<%=Validates.CheckValue(SignalList[s][1]) %>">
                                <td><span><%=SignalList[s][0][lang] %></span></td>
                                <td><strong><%=jQuery.type(SignalList[s][1][0]) == "array" ? SignalList[s][1][0][lang] : SignalList[s][1][0]%></strong></td>
                            </tr>
                    <% 
                       }
                    };
					%>
                    <%for(var tr =0; tr<6-SignalNum; tr++){ %>
                        <tr><td></td><td></td></tr>
                    <%}; %>
                </tbody>
            </table>
            </div>
        </div>
       <div class="system-list">
        <div id="popup" class="popup system-popup" style="<%if(Configs.Popup.status){%> display:block; <%=Configs.Popup.Style[0]%><%}%>" template='{{var lang = jQuery.cookie("language_type"); }}
                <div class="popup-content">
                    <dl class="popup-dl">
                        <dt>{{=it.single_data[it.index][0][lang]}}</dt>
                        {{
                        for(var j=1,jlen=it.single_data[it.index].length; j<=jlen; j++){
                                if(it.operation[j-1]!="0-1" && it.operation[j-1]!="0-2" && it.operation[j-1] != "0-7" && it.operation[j-1] != "0-10"){
                                    /*模块的其他信号*/
                                    /*弹出框中显示的single_data[i][j]值*/
                                    var itemValue = it.single_data[it.index][j];
                                    if(itemValue){
                                        if($.type(itemValue)=="array"){
                                            if($.type(itemValue[0])=="array"){
                                                var itemValue2 = itemValue[0][lang];
                                            } else {
                                                var itemValue2 = itemValue[0];
                                            };
                                        } else {
                                            var itemValue2 = itemValue;
                                        };
                                    }}
                                    <dd class="{{=Validates.CheckValue(itemValue)}}"><em>{{=itemValue2 }}</em><span>{{if(it.headline[j-1]){ }}{{=it.headline[j-1][lang]}} {{ };}}</span></dd>
                          {{   };};}; }}
                    </dl>
                </div>
                <div class="popup-arrow"></div>'>
				<%if(Configs.Popup.status){
				var it = Configs.Popup.Data;
				var singleData = data.single_data[Configs.Popup.index];
				if(singleData){
				%>
                <div class="popup-content">
                    <dl class="popup-dl">
                        <dt><%=singleData[0][lang]%></dt>
                        <%
                        for(var j=1,jlen=singleData.length; j<=jlen; j++){
                                if(it.operation[j-1]!="0-1" && it.operation[j-1]!="0-2" && it.operation[j-1] != "0-7" && it.operation[j-1] != "0-10"){
                                    /*模块的其他信号*/
                                    /*弹出框中显示的single_data[i][j]值*/
                                    var itemValue = singleData[j];
                                    if(itemValue){
                                        if($.type(itemValue)=="array"){
                                            if($.type(itemValue[0])=="array"){
                                                var itemValue2 = itemValue[0][lang];
                                            } else {
                                                var itemValue2 = itemValue[0];
                                            };
                                        } else {
                                            var itemValue2 = itemValue;
                                        };
                                    %>
                                    <dd class="<%=Validates.CheckValue(itemValue)%>"><em><%=itemValue2 %></em><span><%if(it.headline[j-1]){ %><%=it.headline[j-1][lang]%> <% };%></span></dd>
                          <%   };};}; %>
                    </dl>
                </div>
                <div class="popup-arrow" style="<%=Configs.Popup.Style[1]%>"></div>		
				<%=Configs.Popup.CloseHtml%>
				<%};}%>
		</div>
        <%
        /*遍历headline*/
        var operation = []; /*"0-1","0-7".....*/
        for(var h=0,hlen=data.headline.length; h<hlen; h++){
            var itemlen= data.headline[h].length;
            operation[h] = data.headline[h][itemlen-2] +"-"+ data.headline[h][itemlen-1];
        }
        %>
  	    <ul class="system-rectifier">
         <%if(data.single_data.length !=0 && data.headline.length+1==data.single_data[0].length){ %>
		    <%for(var i=0,ilen=data.single_data.length; i<ilen; i++){
                var m_dc= [];
                var m_v = [];
                var m_status = null; 
                for(var j=1,jlen=data.single_data[i].length; j<=jlen; j++){
                    if(operation[j-1]=="0-1"){
                        /*DC状态*/
                        if(data.single_data[i][j][0] == "0"){
                            for(o=0,olen=operation.length; o<olen; o++){
                                if(operation[o]=="0-7"){
                                    m_dc =data.single_data[i][o+1];
                                }
                            }
                        } else {
                            m_dc ="Off";
                        }
                    } else if(operation[j-1]=="0-2"){
                        /*模块电压*/
                        m_v = data.single_data[i][j];
                    } else if(operation[j-1] == "0-7"){
                        /*模块电流*/
                        /*do nothing*/
                    }  else if(operation[j-1] == "0-10") {
                        /*模块通讯状态*/
                        if(data.single_data[i][j][0] == 0){
                            m_status = 1;
                        } else {
                            m_status = 0;
                        }
                    } else {
                        /*模块的其他信号*/
                        /*弹出框中显示的single_data[i][j]值*/
                    }
                }
                %>
                <li <%if(m_status==0){ %> class="off" <%} %>  <%if((i+1)%6==0){%> style="margin-right:0" <%}%>>
                <%
                    var RectID = Validates.MatchNumber(data.single_data[i][0][lang]);
                %>
                <span><%=RectID%></span>
                <em class="<%=Validates.CheckValue(m_v)%>"><%=m_v[0] || ""%></em>
                <%if(m_dc=="Off"){%>
                <i class="off">OFF</i><%}else{ %><i class="<%=Validates.CheckValue(m_dc)%>"><%=m_dc[0] || ""%></i>
                <%} %>
                <a href="#" class="system_set_btn" data='{"name":"RECT_<%=i+1%>","rectid":"<%=RectID %>","data":"/var/datas/data.single_rectS<%=args["slaveIndex"] %>_setting.html","template":"tmp.setting_system_rect.html","fn":"Setting", "modules":"SystemRectSetting","getModulesData":true,"menuIndex":"2","render":"artTemplate"}' hidefocus="true" href="#"></a>
                </li>
		    <%};}%>
  	    </ul>
      </div>
      <div class="system-detail" id="SystemDetail">
        <div class="table-container margin-bn">
           <div class="table-title"><span><em></em>/*[ID_RECT_SET]*/</span><a href="#" id="closeDetail" hideFocus="true" class="system-battery-close">/*[ID_BACK]*/</a></div>
           <div class="table-list padding-tn" id="SystemRectSetting">
           </div>
        </div>
      </div>
</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>